package com.clx.performance.service.loan;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.pc.loan.carrier.OwnerLoanAccountApproveParam;
import com.clx.performance.param.pc.loan.carrier.PageOwnerLoanAccountApproveParam;
import com.clx.performance.vo.pc.loan.carrier.OwnerLoanAccountApproveVO;

import java.util.List;

/**
 * @author kavin
 * Date 2024-01-20
 * Time 13:31
 */
public interface OwnerLoanAccountApproveService {
    IPage<OwnerLoanAccountApproveVO> pageOwnerLoanAccountApprove(PageOwnerLoanAccountApproveParam param);

    void openOwnerLoanAccountApprove();

    void ownerLoanAccountApprove(OwnerLoanAccountApproveParam param);

    List<OwnerLoanAccountApproveVO> getOwnerLoanAccountApproveList();
}
